class Candidate < ActiveRecord::Base
  belongs_to :election
  validates_presence_of :name

  # i have to call this picture_assoc because picture= does not overload
  # the normal association method made by has_one
  has_one :picture_obj, :class_name => "Picture"

  # validate uniqueness of a name *within a given election*

  def <=>(other)
    self.name <=> other.name 
  end
  
  def to_s
    name
  end

  def picture
    picture_obj
  end

  def picture=(field)
    if field and field.length > 0
      self.picture_obj = Picture.new.set_from_field(field)
      return picture_obj.save
    else
      return false
    end
  end

  def picture?
    !self.picture_obj.nil?
  end

end

